JUnit jar classpath error in Eclipse

When trying to develop unit tests using JUnit 4 and Ant 1.71 in Eclipse 3.6.1, I kept getting this error even though I had added JUnit.jar to the Eclipse buildpath:
The <classpath> for <junit> must include junit.jar if not in Ant's own classpath
The solution was to do the following:
Window -> Preferences -> Ant -> Runtime -> Classpath: Add JUnit.jar to the Global Entries as an external Jar-file.

Published by Anders Aaberg

IT-development consultant at Nine A/S MSc. Advanced Computer Science @ University of Leeds, UK

Leave a comment

Your email address will not be published. Required fields are marked *